<%--

author: Stanislav Skalicky
email : skalicky.s@gmail.com
date  : 03.03.2008

--%>
<%@ page session="false" %>
<%@ page import="java.util.*,cz.zcu.kiv.aktuality.*" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>

<%
KivAktualityTemplate kat = new KivAktualityTemplate(pageContext, request, response);
kat.setRequestUri();
%>

<h1>Aktuality</h1>
<cms:contentload collector="allInSubTreeDateReleasedDesc" param="/|kiv-aktualita" locale="cs" editable="false" preload="true">   
  <cms:contentinfo var="infoObal"/>
  <c:if test="${! infoObal.emptyResult}">
    <cms:contentload editable="true" pageSize="${param.count}" pageIndex="${param.pageIndex}" pageNavLength="10" locale="cs">
      <cms:contentcheck ifexists="Nadpis" locale="cs">  
      	<cms:contentinfo var="info" scope="request" />
    
      	<%-- Strankovani - odkazy na dalsi stranky --%>
      	<c:if test="${(info.resultIndex % info.pageSize) == 1}">
        	<c:if test="${info.pageCount > 1}">
          		<p>
        	</c:if>
        	<c:if test="${info.resultSize > info.pageSize}">
          		<c:forEach var="i" begin="${info.pageNavStartIndex}" end="${info.pageNavEndIndex}">
            		<c:choose>
              			<c:when test="${(i == param.pageIndex) || (i == 1 && param.pageIndex == null)}">
                			[<c:out value="${i}" />]&nbsp;
              			</c:when>
              			<c:otherwise>
                			[<a href="<cms:link><c:out value="${req_uri}" />?pageIndex=<c:out value="${i}" /></cms:link>"><c:out value="${i}" /></a>]&nbsp;
              			</c:otherwise>
            		</c:choose>
          		</c:forEach>
        	</c:if>
        	<c:if test="${info.pageCount > 1}">
          		</p>
        	</c:if>	
      	</c:if> 
     
      	<div class="aktualita">
        	<h3 class="ak_nadpis">
          		<cms:contentshow element="Nadpis" />
          		<span class="ak_url">
            		<cms:contentcheck ifexists="Url">
              			<a href="<cms:link><cms:contentshow element="Url" /></cms:link>">podrobnosti</a>
            		</cms:contentcheck>
          		</span>
        	</h3><!-- .ak_nadpis -->
        	<div class="ak_obsah">
          		<cms:contentshow element="Obsah" />
        	</div><!-- .ak_obsah -->
        	<p style="color:gray;font-size:80%">
          		<%--Datum zverejneni --%>    
          		<span class="ak_datum">Dne 
            		<c:set var="dateString">
              			<cms:contentshow element="Cas_zverejneni" />
            		</c:set>
            		<%
              			kat.setDate("dateString");
            		%>
            		<fmt:formatDate value="${date}" type="date" pattern="dd.MM.yyyy" />
          		</span><!--  .ak_datum -->
          		<span class="ak_autor">
            		pridal <cms:contentshow element="Autor" />
          		</span>
          		<span class="ak_oblast">
            		v sekci <cms:contentshow element="Oblast_webu" />.
          		</span>
        	</p>
      	</div><!-- .aktualita -->
      </cms:contentcheck>
    </cms:contentload>
  </c:if>
</cms:contentload>
